<?php
/**
 * Alpha Patterns: Block Patterns
 *
 * @since Alpha Patterns 1.0
 */

function alpha_patterns_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'alpha-patterns' => array( 'label' => __( 'Alpha Patterns', 'alpha-patterns' ) )
	);
	$block_pattern_categories = apply_filters( 'alpha_patterns_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'alpha_patterns_register_block_patterns', 9 );